# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:56:47 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Simple
Summary:	Crypt::Simple Perl module - encrypt stuff simply
Summary(pl):	Modu Perla Crypt::Simple - proste szyfrowanie
Name:		perl-Crypt-Simple
Version:	0.06
Release:	2
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Compress-Zlib >= 1.11
BuildRequires:	perl-Crypt-Blowfish >= 2.06
BuildRequires:	perl-Digest-MD5 >= 2.13
BuildRequires:	perl-FreezeThaw >= 0.41
BuildRequires:	perl-MIME-Base64 >= 2.11
BuildRequires:	rpm-perlprov >= 4.0.2-104
Requires:	perl-Compress-Zlib >= 1.11
Requires:	perl-Crypt-Blowfish >= 2.06
Requires:	perl-Digest-MD5 >= 2.13
Requires:	perl-FreezeThaw >= 0.41
Requires:	perl-MIME-Base64 >= 2.11
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This little module will convert all your data into nice base64 text
that you can save in a text file, send in an email, store in a cookie
or web page, or bounce around the Net. The data you encrypt can be as
simple or as complicated as you like.

%description -l pl
Ten may modu modu konwertuje dane na przyjemny tekst base64, ktry
mona zapisa w pliku tekstowym, wysa poczt elektroniczn, zapisa
w ciasteczku lub na stronie WWW, albo przesya przez sie.
Zaszyfrowane dane mog by dowolnie proste lub skomplikowane.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_sitelib}/Crypt/Simple.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-Simple.spec,v $
Revision 1.4.2.1  2003/03/13 00:56:47  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:37:45  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:29:47  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/10/05 21:16:03  ankry
- (auto)updated to 0.06
- fixed License field, commented tests bcond

Revision 1.1  2002/08/01 16:03:26  qboosh
- new

